Loading...
Searching...
No Matches
BALL::VIEW::EditMode Class Reference

`#include <BALL/VIEW/KERNEL/MODES/editMode.h>`

Inheritance diagram for BALL::VIEW::EditMode:

## Public Member Functions

| EditMode (Scene *scene)
virtual | ~EditMode ()
virtual void | keyPressEvent (QKeyEvent *evt)
virtual void | keyReleaseEvent (QKeyEvent *evt)
virtual void | mouseDoubleClickEvent (QMouseEvent *evt)
virtual void | wheelEvent (QWheelEvent *evt)
virtual void | addToolBarEntries (QToolBar *tb)
virtual Qt::Key | getKey () const
virtual QString | getName () const
virtual void | activate ()
virtual void | populateContextMenu (QMenu *menu)
Public Member Functions inherited from BALL::VIEW::InteractionMode
| InteractionMode (Scene *scene)
virtual | ~InteractionMode ()
void | mouseMoveEvent (QMouseEvent *evt)
void | mousePressEvent (QMouseEvent *evt)
void | mouseReleaseEvent (QMouseEvent *evt)
virtual void | deactivate ()
void | setMouseSensitivity (float sens)
void | setMouseWheelSensitivity (float sens)
QAction * | getMainAction ()
bool | isCurrent () const
void | setCurrent (bool current)

## Protected Slots

virtual void | addStructure_ ()
virtual void | setFormalCharge_ ()
virtual void | changeBondOrder_ ()
virtual void | activatedOrderItem_ (QAction *action)
virtual void | deleteCurrentBondTriggered_ ()
virtual void | deleteCurrentAtomTriggered_ ()
virtual void | atomPropertiesTriggered_ ()
virtual void | changeAtomElementTriggered_ ()
virtual void | createBond_ ()
Protected Slots inherited from BALL::VIEW::InteractionMode
void | modeChangeSlot_ ()

## Protected Member Functions

virtual void | mouseMoveEventImpl_ (QMouseEvent *evt)
virtual void | mousePressEventImpl_ (QMouseEvent *evt)
virtual void | mouseReleaseEventImpl_ (QMouseEvent *evt)
void | insert_ (int x, int y, PDBAtom &atom)
void | merge_ (Composite *a1, Composite *a2)
virtual void | createActions_ ()
Protected Member Functions inherited from BALL::VIEW::InteractionMode
float | getXDiff_ () const
float | getYDiff_ () const
void | zoomSystem_ ()

## Protected Attributes

bool | temp_move_
int | atom_number_
int | bond_order_
Qt::MouseButtons | last_buttons_
FragmentDB * | fragment_db_
QAction * | element_action_
QAction * | bond_action_
QAction * | delete_atom_
QAction * | change_charge_
QAction * | atom_properties_
QMenu * | charge_menu_
QMenu * | order_menu_
QMenu * | add_menu_
std::vector< QAction * > | order_actions_
Protected Attributes inherited from BALL::VIEW::InteractionMode
Scene * | scene_
QPoint | mouse_pos_old_
QPoint | mouse_pos_new_
QSize | desktop_size_
float | mouse_sensitivity_
float | mouse_wheel_sensitivity_
QAction * | main_action_
bool | is_current_

## Additional Inherited Members

Signals inherited from BALL::VIEW::InteractionMode
void | requestModeChange (InteractionMode *mode)

## Detailed Description

Definition at line 19 of file editMode.h.

## Constructor & Destructor Documentation

## EditMode()

BALL::VIEW::EditMode::EditMode | ( | Scene * | scene | ) |

## ~EditMode()

virtual BALL::VIEW::EditMode::~EditMode | ( |  | ) |

virtual

## Member Function Documentation

## activate()

virtual void BALL::VIEW::EditMode::activate | ( |  | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## activatedOrderItem_

virtual void BALL::VIEW::EditMode::activatedOrderItem_ | ( | QAction * | action | ) |

protected virtual slot

## addStructure_

virtual void BALL::VIEW::EditMode::addStructure_ | ( |  | ) |

protected virtual slot

## addToolBarEntries()

virtual void BALL::VIEW::EditMode::addToolBarEntries | ( | QToolBar * | tb | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## atomPropertiesTriggered_

virtual void BALL::VIEW::EditMode::atomPropertiesTriggered_ | ( |  | ) |

protected virtual slot

## changeAtomElementTriggered_

virtual void BALL::VIEW::EditMode::changeAtomElementTriggered_ | ( |  | ) |

protected virtual slot

## changeBondOrder_

virtual void BALL::VIEW::EditMode::changeBondOrder_ | ( |  | ) |

protected virtual slot

## createActions_()

virtual void BALL::VIEW::EditMode::createActions_ | ( |  | ) |

protected virtual

## createBond_

virtual void BALL::VIEW::EditMode::createBond_ | ( |  | ) |

protected virtual slot

## deleteCurrentAtomTriggered_

virtual void BALL::VIEW::EditMode::deleteCurrentAtomTriggered_ | ( |  | ) |

protected virtual slot

## deleteCurrentBondTriggered_

virtual void BALL::VIEW::EditMode::deleteCurrentBondTriggered_ | ( |  | ) |

protected virtual slot

## getKey()

virtual Qt::Key BALL::VIEW::EditMode::getKey | ( |  | ) | const

virtual

Implements BALL::VIEW::InteractionMode.

## getName()

virtual QString BALL::VIEW::EditMode::getName | ( |  | ) | const

inline virtual

Implements BALL::VIEW::InteractionMode.

Definition at line 37 of file editMode.h.

## insert_()

void BALL::VIEW::EditMode::insert_ | ( | int | x,
|  | int | y,
|  | PDBAtom & | atom )

protected

## keyPressEvent()

virtual void BALL::VIEW::EditMode::keyPressEvent | ( | QKeyEvent * | evt | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## keyReleaseEvent()

virtual void BALL::VIEW::EditMode::keyReleaseEvent | ( | QKeyEvent * | evt | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## merge_()

void BALL::VIEW::EditMode::merge_ | ( | Composite * | a1,
|  | Composite * | a2 )

protected

## mouseDoubleClickEvent()

virtual void BALL::VIEW::EditMode::mouseDoubleClickEvent | ( | QMouseEvent * | evt | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mouseMoveEventImpl_()

virtual void BALL::VIEW::EditMode::mouseMoveEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mousePressEventImpl_()

virtual void BALL::VIEW::EditMode::mousePressEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mouseReleaseEventImpl_()

virtual void BALL::VIEW::EditMode::mouseReleaseEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## populateContextMenu()

virtual void BALL::VIEW::EditMode::populateContextMenu | ( | QMenu * | menu | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## setFormalCharge_

virtual void BALL::VIEW::EditMode::setFormalCharge_ | ( |  | ) |

protected virtual slot

## wheelEvent()

virtual void BALL::VIEW::EditMode::wheelEvent | ( | QWheelEvent * | evt | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## Member Data Documentation

## add_menu_

QMenu* BALL::VIEW::EditMode::add_menu_

protected

Definition at line 66 of file editMode.h.

## atom_number_

int BALL::VIEW::EditMode::atom_number_

protected

Definition at line 55 of file editMode.h.

## atom_properties_

QAction* BALL::VIEW::EditMode::atom_properties_

protected

Definition at line 63 of file editMode.h.

## bond_action_

QAction* BALL::VIEW::EditMode::bond_action_

protected

Definition at line 60 of file editMode.h.

## bond_order_

int BALL::VIEW::EditMode::bond_order_

protected

Definition at line 56 of file editMode.h.

## change_charge_

QAction* BALL::VIEW::EditMode::change_charge_

protected

Definition at line 62 of file editMode.h.

## charge_menu_

QMenu* BALL::VIEW::EditMode::charge_menu_

protected

Definition at line 64 of file editMode.h.

## delete_atom_

QAction* BALL::VIEW::EditMode::delete_atom_

protected

Definition at line 61 of file editMode.h.

## element_action_

QAction* BALL::VIEW::EditMode::element_action_

protected

Definition at line 59 of file editMode.h.

## fragment_db_

FragmentDB* BALL::VIEW::EditMode::fragment_db_

protected

Definition at line 58 of file editMode.h.

## last_buttons_

Qt::MouseButtons BALL::VIEW::EditMode::last_buttons_

protected

Definition at line 57 of file editMode.h.

## order_actions_

std::vector<QAction*> BALL::VIEW::EditMode::order_actions_

protected

Definition at line 67 of file editMode.h.

## order_menu_

QMenu* BALL::VIEW::EditMode::order_menu_

protected

Definition at line 65 of file editMode.h.

## temp_move_

bool BALL::VIEW::EditMode::temp_move_

protected

Definition at line 54 of file editMode.h.